This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1463157 - GTX 660 freeze computer shortly after login
GTX 660 freeze computer shortly after login
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: xorg-x11-drv-nouveau (Show other bugs)
7.4
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Ben Skeggs
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-20 05:10 EDT by Tomas Pelka
Modified: 2017-08-03 04:11 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Pelka 2017-06-20 05:10:29 EDT
Description of problem:
I can see following in kernel log

Jun 20 11:03:05 localhost.localdomain kernel: [drm:drm_atomic_helper_swap_state [drm_kms_helper]] *ERROR* [CRTC:40:head-1] hw_done timed out
Jun 20 11:03:15 localhost.localdomain kernel: [drm:drm_atomic_helper_wait_for_dependencies [drm_kms_helper]] *ERROR* [CRTC:40:head-1] hw_done timed out
Jun 20 11:03:25 localhost.localdomain kernel: [drm:drm_atomic_helper_wait_for_dependencies [drm_kms_helper]] *ERROR* [CRTC:40:head-1] flip_done timed out
Jun 20 11:03:35 localhost.localdomain kernel: [drm:drm_atomic_helper_swap_state [drm_kms_helper]] *ERROR* [CRTC:40:head-1] hw_done timed out
Jun 20 11:03:45 localhost.localdomain kernel: [drm:drm_atomic_helper_wait_for_dependencies [drm_kms_helper]] *ERROR* [CRTC:40:head-1] hw_done timed out
Jun 20 11:03:55 localhost.localdomain kernel: [drm:drm_atomic_helper_wait_for_dependencies [drm_kms_helper]] *ERROR* [CRTC:40:head-1] flip_done timed out
Jun 20 11:04:05 localhost.localdomain kernel: [drm:drm_atomic_helper_swap_state [drm_kms_helper]] *ERROR* [CRTC:40:head-1] hw_done timed out
Jun 20 11:04:15 localhost.localdomain kernel: [drm:drm_atomic_helper_wait_for_dependencies [drm_kms_helper]] *ERROR* [CRTC:40:head-1] hw_done timed out
Jun 20 11:04:25 localhost.localdomain kernel: [drm:drm_atomic_helper_wait_for_dependencies [drm_kms_helper]] *ERROR* [CRTC:40:head-1] flip_done timed out
Jun 20 11:04:35 localhost.localdomain kernel: [drm:drm_atomic_helper_swap_state [drm_kms_helper]] *ERROR* [CRTC:40:head-1] hw_done timed out
Jun 20 11:04:45 localhost.localdomain kernel: [drm:drm_atomic_helper_wait_for_dependencies [drm_kms_helper]] *ERROR* [CRTC:40:head-1] hw_done timed out
Jun 20 11:04:55 localhost.localdomain kernel: [drm:drm_atomic_helper_wait_for_dependencies [drm_kms_helper]] *ERROR* [CRTC:40:head-1] flip_done timed out
Jun 20 11:05:05 localhost.localdomain kernel: [drm:drm_atomic_helper_swap_state [drm_kms_helper]] *ERROR* [CRTC:40:head-1] hw_done timed out
Jun 20 11:05:15 localhost.localdomain kernel: [drm:drm_atomic_helper_wait_for_dependencies [drm_kms_helper]] *ERROR* [CRTC:40:head-1] hw_done timed out
Jun 20 11:05:25 localhost.localdomain kernel: [drm:drm_atomic_helper_wait_for_dependencies [drm_kms_helper]] *ERROR* [CRTC:40:head-1] flip_done timed out
Jun 20 11:05:31 localhost.localdomain kernel: INFO: task kworker/u16:3:339 blocked for more than 120 seconds.
Jun 20 11:05:31 localhost.localdomain kernel: "echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.

Version-Release number of selected component (if applicable):
kernel-3.10.0-680.el7.x86_64
xorg-x11-server-Xorg-1.19.3-7.el7.x86_64


How reproducible:
60%

Steps to Reproduce:
1. boot computer
2.
3.

Actual results:
see above

Expected results:
no freeze

Additional info:
01:00.0 VGA compatible controller [0300]: NVIDIA Corporation GK106 [GeForce GTX 660] [10de:11c0] (rev a1)
Comment 1 Tomas Pelka 2017-06-20 05:11:26 EDT
This freeze is actually also followed by crash:

Jun 20 11:05:31 localhost.localdomain kernel: kworker/u16:3   D 0000000000000246     0   339      2 0x00000000
Jun 20 11:05:31 localhost.localdomain kernel: Workqueue: events_unbound nv50_disp_atomic_commit_work [nouveau]
Jun 20 11:05:31 localhost.localdomain kernel:  ffff880506acfc00 0000000000000046 ffff880506ad0000 ffff880506acffd8
Jun 20 11:05:31 localhost.localdomain kernel:  ffff880506acffd8 ffff880506acffd8 ffff880506ad0000 0000000000000000
Jun 20 11:05:31 localhost.localdomain kernel:  ffff880506ad0000 7fffffffffffffff ffff8804eeafe540 0000000000000246
Jun 20 11:05:31 localhost.localdomain kernel: Call Trace:
Jun 20 11:05:31 localhost.localdomain kernel:  [<ffffffff816a6f09>] schedule+0x29/0x70
Jun 20 11:05:31 localhost.localdomain kernel:  [<ffffffff816a4a19>] schedule_timeout+0x239/0x2c0
Jun 20 11:05:31 localhost.localdomain kernel:  [<ffffffff811de381>] ? __slab_free+0x81/0x2f0
Jun 20 11:05:31 localhost.localdomain kernel:  [<ffffffff8145ec9f>] dma_fence_default_wait+0x1cf/0x230
Jun 20 11:05:31 localhost.localdomain kernel:  [<ffffffff8145e9a0>] ? dma_fence_free+0x20/0x20
Jun 20 11:05:31 localhost.localdomain kernel:  [<ffffffff8145e889>] dma_fence_wait_timeout+0x39/0xd0
Jun 20 11:05:31 localhost.localdomain kernel:  [<ffffffffc018cc0d>] drm_atomic_helper_wait_for_fences+0x7d/0x100 [drm_kms_helper]
Jun 20 11:05:31 localhost.localdomain kernel:  [<ffffffffc028e095>] nv50_disp_atomic_commit_tail+0x55/0x1180 [nouveau]
Jun 20 11:05:31 localhost.localdomain kernel:  [<ffffffffc028f1d2>] nv50_disp_atomic_commit_work+0x12/0x20 [nouveau]
Jun 20 11:05:31 localhost.localdomain kernel:  [<ffffffff810a87fa>] process_one_work+0x17a/0x440
Jun 20 11:05:31 localhost.localdomain kernel:  [<ffffffff810a94c6>] worker_thread+0x126/0x3c0
Jun 20 11:05:31 localhost.localdomain kernel:  [<ffffffff810a93a0>] ? manage_workers.isra.24+0x2a0/0x2a0
Jun 20 11:05:31 localhost.localdomain kernel:  [<ffffffff810b096f>] kthread+0xcf/0xe0
Jun 20 11:05:31 localhost.localdomain kernel:  [<ffffffff810b08a0>] ? insert_kthread_work+0x40/0x40
Jun 20 11:05:31 localhost.localdomain kernel:  [<ffffffff816b2958>] ret_from_fork+0x58/0x90
Jun 20 11:05:31 localhost.localdomain kernel:  [<ffffffff810b08a0>] ? insert_kthread_work+0x40/0x40
Jun 2
Comment 2 Tomas Pelka 2017-06-20 05:15:42 EDT
One more thing, seem I can 100% reproduce by logging in gnome-session and playing video (big buck cunny trailer, ogv) in totem.

Kernel shows: 
nouveau 0000:01:00.0: gr: TRAP ch 2 [023fad6000 X[1330]]
Jun 20 11:14:00 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: GPC0/PROP trap: 00000080 [ZETA_STORAGE_TYPE_MISMATCH] x = 80, y = 96, format = 0, storage type = fe
Jun 20 11:14:00 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: TRAP ch 2 [023fad6000 X[1330]]
Jun 20 11:14:00 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: GPC0/PROP trap: 00000080 [ZETA_STORAGE_TYPE_MISMATCH] x = 160, y = 320, format = 0, storage type = fe
Jun 20 11:14:04 localhost.localdomain kernel: nouveau 0000:01:00.0: fifo: SCHED_ERROR 0a [CTXSW_TIMEOUT]
Jun 20 11:14:04 localhost.localdomain kernel: nouveau 0000:01:00.0: fifo: gr engine fault on channel 4, recovering...


and desktop freeze
Comment 3 Tomas Pelka 2017-06-20 05:23:12 EDT
I was able to trigger this issue also by libreoffice presentation mode.
Comment 4 Tomas Pelka 2017-06-20 10:52:52 EDT
I can reproduce on 

01:00.0 VGA compatible controller [0300]: NVIDIA Corporation GK110 [GeForce GTX 780] [10de:1004] (rev a1)

too

Note You need to log in before you can comment on or make changes to this bug.